<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .cuadrado {
            width: 100px;
            height: 100px;
            background-color: green;
            position: fixed;
            /*PARA PODER USAR top y left el elemeento tiene que tener position:relative , absolute o fixed*/
        }

        .contenedor {
            height: 80vh;
            display: flex;
            justify-content: center;
            align-items: center;
        }
    </style>
</head>

<body>
    <div class="botones">
        <button class="izquierda">Mover 100 px a la izquierda</button>
        <button class="abajo">Mover 100 px hacia abajo</button>
        <button class="derecha">Mover 100 px a la derecha</button>
        <button class="arriba">Mover 100 px hacia arriba</button>
    </div>
    <div class="contenedor">
        <div class="cuadrado"></div>
    </div>
    <script src=" https://code.jquery.com/jquery-3.6.4.min.js"
        integrity="sha256-oP6HI9z1XaZNBrJURtCoUT5SUnxFr8s3BzRl+cbzUq8=" crossorigin="anonymous"></script>
    <script src="moverDiv.js"></script>
</body>

</html>